<?php get_header();
$author = get_query_var( 'author' ); // This will fetch author id.
$author_posts = count_user_posts( $author ); // number of posts
$author_display = get_the_author_meta( 'display_name', $author ); //this will fetch the name of author,
$author_description = get_the_author_meta( 'user_description', $author );
$author_website = get_the_author_meta( 'user_url', $author );
?>
<div class="home-3-container">
	<div class="home-3-row">
		<div class="column1-3">
			<?php if ( have_posts() ) { ?>
			<?php while ( have_posts() ) { ?>
			<?php the_post(); ?>
			<?php get_template_part( 'template/home/anilahome-3-content', get_post_format() ); ?>
			<?php } ?>
			<?php wp_reset_postdata(); ?>
			<?php } else { ?>
			<P><?php echo esc_html__( 'Sorry, No post available.', 'anila' ); ?></p>
			<?php } ?>            
			<div class="home-3-pagination">
				<?php get_template_part( 'template/page-navigation' ); ?>
			</div>
		</div><!-- column-1-3 -->
		<div class="author-area">
			<div class="author-area__avatar">
				<?php echo get_avatar( $author, 350 ); ?>
			</div>
			<div class="author-area__title">
				<h1><?php echo esc_html( $author_display, 'anila' ); ?></h1>
			</div>
			<div class="author-area__post">
				<?php
				/* translators: %s is the number of posts */
				printf( esc_html( _n( '%s post', '%s posts', $author_posts, 'anila' ), 'anila' ),
				esc_html( number_format_i18n( $author_posts ), 'anila' ) );
				?>
			</div><!-- post -->
			<div class="author-area__desc">
				<?php echo esc_html( $author_description, 'anila' ); ?> 
			</div> <!-- desc -->
		</div>       
	</div> <!--home-2-row -->
</div><!-- home-2-container -->
<?php get_template_part( 'template/home/mob-home' ); ?>
<?php get_footer();
