<?php
function anila_register_menus() {
	register_nav_menus([
		'top-menu' => esc_html__( 'Top Menu', 'anila' ),
		'main-menu' => esc_html__( 'Main menu', 'anila' ),
	]);
}
add_action( 'init', 'anila_register_menus' );

function anila_aria_hasdropdown( $atts, $item, $args ) {
	if ( 'main-menu' === $args->theme_location ) {
		if ( in_array( 'menu-item-has-children', $item->classes ) ) {
			$atts['aria-haspopup'] = 'true';
			$atts['aria-expanded'] = 'false';
		}
	}
	return $atts;
}
add_filter( 'nav_menu_link_attributes', 'anila_aria_hasdropdown', 10, 3 );

function anila_submenu_button( $dir = 'down', $title ) {
	$button = '<button class="menu-button">';
	/* translators: %s is the title of the post */
	$button .= '<span class="u-screen-reader-text menu-button-show">' . sprintf( esc_html__( 'Show %s submenu', 'anila' ), $title ) . '</span>';
	/* translators: %s is the title of the post */
	$button .= '<span aria-hidden="true" class="u-screen-reader-text menu-button-hide">' . sprintf( esc_html__( 'Hide %s submenu', 'anila' ), $title ) . '</span>';
	$button .= '<i class="fa fa-angle-' . $dir . '" aria-hidden="true"></i>';
	$button .= '</button>';
	return  $button;
}



function anila_dropdown_icon( $title, $item, $args, $depth ) {
	if ( 'main-menu' === $args->theme_location ) {
		if ( in_array( 'menu-item-has-children', $item->classes ) ) {
			if ( 0 === $depth ) {
				$title .= anila_submenu_button( 'down', $title );
			} else {
				$title .= anila_submenu_button( 'right', $title );
			}
		}
	}
	return $title;
}

add_filter( 'nav_menu_item_title', 'anila_dropdown_icon', 10, 4 );
