<div class="single-author margin-bottom-1">
	<h2 class="screen-reader-text"><?php esc_attr_e( 'About the Author', 'anila' ); ?></h2>
	<?php
	$author_id = get_the_author_meta( 'ID' );
	$author_posts = get_the_author_posts();
	$author_display = get_the_author(); //this will fetch the name of author,
	$author_posts_url = get_author_posts_url( $author_id );
	$author_description = get_the_author_meta( 'user_description' );
	$author_website = get_the_author_meta( 'user_url' );
	?>

	<div class="single-author__avatar">
		<?php echo get_avatar( $author_id, 150 ); ?>
	</div> <!-- avatar -->

	<div class="single-author__title">
		<?php if ( $author_website ) { ?>
		<a href="<?php echo esc_url( $author_website ); ?>">
			<?php }
		echo esc_html( $author_display ); ?>
		</a>
	</div><!-- title -->

	<div class="single-author__post">
		<a href="<?php echo esc_url( $author_posts_url ); ?>">
			<?php
			/* translators: 1 is number of comments and 2 is post title */
			printf( esc_html( _n( '%s post', '%s posts', $author_posts, 'anila' ) ),
			esc_html( number_format_i18n( $author_posts ), 'anila' ) );
			?>
		</a>
	</div><!-- post -->

	<div class="single-author__desc">
		<?php echo esc_html( $author_description ) ?> 
	</div> <!-- desc -->
</div> <!-- signle author -->
